Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.aglets
Class RemoteAgletRef

    java.lang.Object
      |
      +--com.ibm.awb.weakref.WeakRef
            |
            +--com.ibm.aglets.RemoteAgletRef

All Implemented Interfaces:
  AgletRef, Ref

public final class RemoteAgletRef
extends WeakRef
implements AgletRef

Version:
  1.00 $Date: 2001/07/28 06:32:11 $
Author:
  Mitsuru Oshima, ONO Kouichi

Fields inherited from class com.ibm.awb.weakref.WeakRef
`_table`

Constructor Summary
`RemoteAgletRef()`

Method Summary
`void` | `activate()` Activate the aglet
`void` | `checkValidation()`
`void` | `delegateMessage(Message msg)` Delegates a message
`protected Ref` | `findRef()`
`protected Ref` | `findRef(java.io.ObjectInputStream s)`
`java.lang.String` | `getAddress()` Gets the address of the target aglet
`Aglet` | `getAglet()` Gets the aglet.
`AgletInfo` | `getAgletInfo()` Gets the information of the aglet
`static RemoteAgletRef` | `getAgletRef(Ticket ticket, Name n)`
`java.lang.String` | `getRefClassName()`
`protected java.lang.Object` | `getRefID()`
`boolean` | `isActive()` Checks if it's active.
`boolean` | `isRemote()` Checks if it's valid.
`boolean` | `isState(int s)` Check the state
`boolean` | `isValid()` Checks if it's valid.
`void` | `resume()` Resume the aglet
`FutureReply` | `sendFutureMessage(Message msg)` Sends a message in asynchronous way.
`java.lang.Object` | `sendMessage(Message msg)` Sends a message in synchronous way.
`void` | `sendOnewayMessage(Message msg)` Sends a oneway message
`static void` | `showRefTable(java.io.PrintStream out)`
`java.lang.String` | `toString()`
`void` | `writeInfo(java.io.ObjectOutputStream s)`

Methods inherited from class com.ibm.awb.weakref.WeakRef
`getRef, referenced, setRef, unreferenced, updateRef`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ibm.awb.weakref.Ref
`getRef, referenced, setRef, unreferenced`

Constructor Detail

### RemoteAgletRef

    public RemoteAgletRef()

Method Detail

### activate

    public void activate()
                  throws java.io.IOException,
                         AgletException

  Description copied from interface: `AgletRef`
  Activate the aglet
  Specified by:
    `activate` in interface `AgletRef`

### checkValidation

    public void checkValidation()
                         throws InvalidAgletException

  Specified by:
    `checkValidation` in interface `AgletRef`

### delegateMessage

    public void delegateMessage(Message msg)
                         throws InvalidAgletException

  Delegates a message
  Specified by:
    `delegateMessage` in interface `AgletRef`

### findRef

    protected Ref findRef()

  Overrides:
    `findRef` in class `WeakRef`

### findRef

    protected Ref findRef(java.io.ObjectInputStream s)
                   throws java.io.IOException,
                          java.lang.ClassNotFoundException

  Overrides:
    `findRef` in class `WeakRef`

### getAddress

    public java.lang.String getAddress()
                                throws InvalidAgletException

  Gets the address of the target aglet
  Specified by:
    `getAddress` in interface `AgletRef`
  Following copied from interface: `com.ibm.aglets.AgletRef`
  Returns:
    the address

### getAglet

    public Aglet getAglet()
                   throws InvalidAgletException

  Gets the aglet. If the aglet is access protected it will require the right key to get access.
  Specified by:
    `getAglet` in interface `AgletRef`
  Returns:
    the aglet
  Throws:
    `java.lang.SecurityException` - if the current execution is not allowed.

### getAgletInfo

    public AgletInfo getAgletInfo()

  Gets the information of the aglet
  Specified by:
    `getAgletInfo` in interface `AgletRef`
  Returns:
    the AgletInfo of the aglet

### getAgletRef

    public static RemoteAgletRef getAgletRef(Ticket ticket,
                                             Name n)

### getRefClassName

    public java.lang.String getRefClassName()

  Specified by:
    `getRefClassName` in interface `Ref`

### getRefID

    protected java.lang.Object getRefID()

  Overrides:
    `getRefID` in class `WeakRef`

### isActive

    public boolean isActive()

  Description copied from interface: `AgletRef`
  Checks if it's active.
  Specified by:
    `isActive` in interface `AgletRef`

### isRemote

    public boolean isRemote()

  Description copied from interface: `AgletRef`
  Checks if it's valid.
  Specified by:
    `isRemote` in interface `AgletRef`

### isState

    public boolean isState(int s)

  Check the state
  Specified by:
    `isState` in interface `AgletRef`

### isValid

    public boolean isValid()

  Description copied from interface: `AgletRef`
  Checks if it's valid.
  Specified by:
    `isValid` in interface `AgletRef`

### resume

    public void resume()
                throws AgletException

  Description copied from interface: `AgletRef`
  Resume the aglet
  Specified by:
    `resume` in interface `AgletRef`

### sendFutureMessage

    public FutureReply sendFutureMessage(Message msg)
                                  throws InvalidAgletException

  Sends a message in asynchronous way.
  Specified by:
    `sendFutureMessage` in interface `AgletRef`
  Parameters:
    `msg` - the message to send

### sendMessage

    public java.lang.Object sendMessage(Message msg)
                                 throws MessageException,
                                        InvalidAgletException,
                                        NotHandledException

  Sends a message in synchronous way.
  Specified by:
    `sendMessage` in interface `AgletRef`
  Parameters:
    `msg` - the message to send

### sendOnewayMessage

    public void sendOnewayMessage(Message msg)
                           throws InvalidAgletException

  Sends a oneway message
  Specified by:
    `sendOnewayMessage` in interface `AgletRef`
  Parameters:
    `msg` - the message to send

### showRefTable

    public static void showRefTable(java.io.PrintStream out)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `WeakRef`

### writeInfo

    public void writeInfo(java.io.ObjectOutputStream s)
                   throws java.io.IOException

  Specified by:
    `writeInfo` in interface `Ref`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD